% LK1.TEX - 1.Teil der LaTeX-Kurzbeschreibung Graz-Wien 1987
% last changes: 1990-04-23.


\section{Veobecne}

% Note: the large number of short subsubsections in this section
% helps to avoid pages full of text (without any white space),
% which would look bad and might cause a `page memory overflow' on
% some printers like the XEROX 2700.

\subsection{The Name of the Game}

\subsubsection{\TeX}

\TeX\  (vyslovujeme \uv{Tech},
meme psa aj \uv{TeX})
je potaov program od Donalda E.~Knutha~\cite{texbook,schwarz}.
Sli pre sadzbu a tla textov a matematickch vzorcov.

\subsubsection{\LaTeX}

\LaTeX\  (vyslovujeme \uv{La-tech} alebo \uv{Lej-tech},
meme tie psa \uv{LaTeX})
je tzv. makro-balk od Leslie Lamporta~\cite{manual,wonne},
ktor vyuva \TeX .
Umouje autorovi textu jednoduchm spsobom, s~pouitm niektorho
z~predpripravench dizajnov (Layouts) strnky resp. publikcie,
sdza a vytlai jeho dokument v~kninej kvalite.

\subsection{Zkladn koncepcia}

\subsubsection{Autor, dizajnr a sadza}

Autor obyajne odovzdva vydavateovi k~publikcii strojom psan rukopis.
Knin dizajnr vydavatestva potom rozhodne o~prave (Layout)
publikcie (dka riadkov, druh psma, medzery pred a za jednotlivmi
asami at.) a~nape sadzaovi k~tomu nevyhnutn riadiace daje.
%--- Somit ist das gesetzte Schrift"-st"uck
%--- das Ergebnis des Buch-Designers und nicht des Autors.

\LaTeX{} je takpovediac knin dizajnr, \TeX{} je sadza. Zadan
prkazy \LaTeX u~sa preloia do sadzaskch
prkazov \TeX u, o~stupe nich.

Knin dizajnr-lovek rozozn mysly autora (napr. nadpisy kapitol,
citcie, prklady, vzorce) predovetkm na zklade svojich
profesionlnych znalost z~obsahu rukopisu. Naproti tomu je \LaTeX{}
\uv{len} program a preto potrebuje od autora dodaton informcie,
ktor zadvaj logick truktru textu. Tieto informcie sa zadvaj
vo vntri textu vo forme tzv. \uv{prkazov}.

V~protiklade k~tomu stoj optick nvrh dokumentov pomocou programov,
na spracovanie textov, akm je napr. WordStar. V~tomto prpade ur
autor pravu (Layout) textu interaktvne. Pritom na obrazovke vid
presne to, o bude st aj na vytlaenej strane. Takto systmy,
podporujce optick nvrh, sa tie nazvaj WYSIWYG-systmy
(\uv{what you see is what you get}).

V~prpade \LaTeX u~autor pri psan vstupnho sboru spravidla
ete nevid, ako bude vyzera text po preformtovan. Vyvolanm
prslunho programu vak kedykovek me urobi skobn
vtlaok svojej prce a~potom svoj vstupn sbor zodpovedajcim
spsobom opravi a pokraova v~prci.


\subsubsection{Layout-Design}

Typografick dizajn je remeslo, ktor sa treba ui. Nevykolen
autori robia asto zvan formtovacie chyby. Mnoh laici sa
nesprvne domnievaj, e dizajn knhtlae je predovetkm otzka
estetiky -- ak publikcia vyzer pekne z~umeleckho hadiska,
tak u m dobr \uv{dizajn}. Avak psomnosti sa maj ta a nie
zavesi v~mzeu, preto s ahia itatenos a lepia zrozumitenos
dleitejie ako pekn vzhad.

Prklady:
Vekos psma a slovanie nadpisov musia by zvolen tak, aby bola
jasne rozoznaten truktra kapitol a podkapitol. Dka riadkov mus
by zvolen tak, aby sa nevyskytovali namhav pohyby o itatea
a nie tak, aby bol papier o najkrajie zaplnen.

Pomocou interaktvnych optickch systmov pre pravu vytvraj
autori vo veobecnosti esteticky pekn, avak zle trukturovan
publikcie. \LaTeX{} zabrauje takm chybm formtovania, pretoe nti
autora zada logick truktru textu a potom pouije automaticky ten
Layout, ktor sa pre to najlepie hod.


\subsubsection{Vhody a nevhody}

Oproti inm programom pre spracovanie textu sa \LaTeX\ vyznauje
pre\-do\-vet\-km nasledujcimi vhodami:
\begin{itemize}
\item
K~dispozcii s viacer profesionlne vytvoren pravy (Layouts),
s~ktormi vyzer publikcia skutone \uv{ako z~tlaiarne}.
\item
Sadzba matematickch vzorcov je zvl dobre podporen.
\item
Pouvate mus zada len niekoko ahko porozumitench
prkazov, tkajcich sa logickej truktry publikcie a nemus
sa (takmer) stara o~technick detaily tvorby tlae.
\item
Aj zloit truktry, ako s poznmky, zadvanie literatry, obsah,
tabuky a mnoh aie a dokonca jednoduch nrty, mu by vytvoren
bez vekho silia.
\end{itemize}
\LaTeX\ m pravdae aj nevhody:
\begin{itemize}
\item
Potreba prevdzkovch prostriedkov (potaov as a~obsadenie pame) potaa
je via, ako v~prpade vemi jednoduchch textovch editorov.
\item
Vytlaenie psomnost je mon uskutoni len na laserovch tlaiarach
\footnote{Aj na maticovch (pozn. prekl.).}, grafickch obrazovkch
a plotteroch, ale nie na lacnch riadkovo-orientovanch rchlotlaiarach.

\item
V~pravch (Layouts), podporovanch \LaTeX om, sce mu by jednotliv
parametre ahko pozmenen, ale podstatn zmeny predpokladanho Layoutu
s mon len s~vynaloenm vekho silia (dizajn novho sboru
\uv{Document Styles}).

\end{itemize}

\subsection{Vstupn sbor}

Vstupn sbor \LaTeX u~je textov sbor. Je vytvoren editorom
a obsahuje tak text, ktor m by vytlaen, ako aj \uv{prkazy},
z~ktorch sa \LaTeX\ dozvie, ako m by text sdzan.

\subsubsection{Medzery}

\uv{Neviditen} znamienka ako medzera (blank) a koniec riadku
(nvrat vozka - CR) s \LaTeX om jednotne spracovan ako medzery.
{\em Viacer} medzery s chpan ako {\em jedna} medzera.
Przdny riadok medzi riadkami textu znamen koniec odstavca.
{\em Viacer} przdne riadky bud spracovan ako {\em jeden} przdny
riadok.

Ak chceme in vzdialenosti medzi slovami a riadkami ako normlne,
meme to dosiahnu nie zadanm dodatonch medzier alebo przdnych
riadkov, ale len vhodnmi prkazmi \LaTeX u.

\subsubsection{Zvltne znaky}

Nasledujce symboly s rezervovan znaky, ktor maj pre
\LaTeX{} pecilny vznam alebo nie s k~dispozcii pre vetky
druhy psma:

\begin{quote}
\verb.$ & % # _ { }  ~  ^ "  \  | < >.
\end{quote}

Sedem nasledujcich znakov me by vytlaench uvedenm predpony
-- znaku \verb|\| (Backslash):
\exa
\$ \& \% \# \_ \{ \}
\exb
\begin{verbatim}
\$ \& \% \# \_ \{ \}
\end{verbatim}
\exc

Zvyn symboly a ete vea ach zvltnych znakov me by
vytlaench pomocou pecilnych prkazov ako akcenty
(diakritick znamienka) alebo v~matematickch vzorcoch.


\subsubsection{Prkazy \LaTeX u}

Vaina prkazov \LaTeX u~m jeden z~dvoch nasledujcich formtov:
bu zanaj zptnm lomtkom (\verb|\|) a potom maj meno,
pozostvajce len z~psmen, zakonen jednou alebo viacermi medzerami
alebo nasledujcim zvltnym znakom alebo slom ; alebo pozostvaj
z~jednho Backslashu a prve jednho zvltneho znaku alebo cifry.
Vek a mal psmen maj aj v~nzvoch (mench) prkazov {\em rzny} vznam.
Ak chceme po nzve prkazu dosiahnu medzeru, musme poui \verb|{}|
na konci nzvu prkazu, alebo osobitn prkaz pre medzeru.
\exa
  \def\today{35.~mja 1987}  % to make sure that the line breaks look good,
%                             regardless of the date of printing.
Dnes je \today.
Alebo: Dnes je \today .
Nesprvne je: \today pr.
Sprvne: \today{} svieti slnko.
Alebo: \today\ sne.
\exb
\begin{verbatim}
Dnes je \today.
Alebo: Dnes je \today .
Nesrvne je:
  \today pr.
Sprvne:
  \today{} svieti slnko.
 Alebo: \today\ sne.
\end{verbatim}
\exc

Mnoh prkazy maj parametre, ktor musia by zadan vo vntri
zloench ztvoriek. Niektor prkazy maj parametre, ktor mu
by vynechan alebo zadan vo vntri hranatch ztvoriek. Niektor
prkazy maj varianty, ktor sa odliuj pripojenm hviezdiky
k~menu prkazu.

Zloen ztvorky mu by pouit aj na vytvorenie \uv{skupn}.
inok prkazov, ktor s zadan vntri skupn alebo prostred (Environments),
sa kon vdy na konci skupiny, resp. prostredia. V~horeuvedenom
prklade je \verb|{}| przdna skupina, ktor nem iadny inok
mimo ukonenia nzvu prkazu {\tt today}.

\subsubsection{Komentre}

Vetko, o sa nachdza za znakom percenta (\verb|%|)
(a do konca vstupnho riadku), bude \LaTeX\ ignorova.
To sa d vyui pre poznmky autora, ktor nemaj
alebo ete nemaj by vytlaen.
\exa
Toto je  % hlpy
% Lepie: uebn <----
prklad.
\exb
\begin{verbatim}
Toto je % hlpy
% Lepie: uebn <----
prklad.
\end{verbatim}
\exc

\subsubsection{lenenie}

Prvm prkazom vstupnho sboru \LaTeX u~mus by prkaz:
\begin{quote}
\verb|\documentstyle|
\end{quote}
(pozri odsek~\ref{sec:docsty}).
Za nm mu nasledova aie defincie, ktor maj plati
v~celom dokumente.
Prkazom
\begin{quote}
\verb|\begin{document}|
\end{quote}
sa zana sadzba dokumentu. Teraz nasleduj text a vetky prkazy \LaTeX u,
ktor maj vplyv na vytlaenie dokumentu.
Zadvanie mus by ukonen prkazom
\begin{quote}
\verb|\end{document}   .|
\end{quote}

Ak za tmto prkazom bud nasledova aie vstupy,
bud tieto \LaTeX om ignorovan.

Obr.~\ref{mini} ukazuje
minimlny \LaTeX ov sbor.
O~nieo komplikovanej sbor je nartnut na obr.~\ref{dokument} .

\begin{figure}[hbp]
\oben{6cm}
\begin{verbatim}
\documentstyle{article}
\begin{document}
Small is beautiful.
\end{document}
\end{verbatim}
\unten

\caption{Minimlny sbor \LaTeX u} \label{mini}
\end{figure}

\begin{figure}[hbtp]
\oben{10cm}
\begin{verbatim}
\documentstyle[11pt,german]{article}
\author{H.~Partl}
\title{"Uber kurz oder lang}
\setlength{\parindent}{0pt}
\setlength{\parskip}{5pt plus 2pt minus 1pt}
\frenchspacing
\sloppy

\begin{document}
\maketitle
\begin{abstract}
Prklad pre vedeck lnok v~nemeckom jazyku.
\end{abstract}
\tableofcontents

\section{Start}

Tu zana moja krsna prca ...

\section{Ende}

... a tu sa kon.

\end{document}
\end{verbatim}
\unten

\caption{lenenie lnku} \label{dokument}
\end{figure}

\subsection{Layout}

\subsubsection {Document Style}\label{sec:docsty}

Na zaiatku vstupnho sboru mus by pomocou
\begin{verse}
\verb|\documentstyle[|{\it options\/}\verb|]{|{\it style\/}\verb|}|
\end{verse}
definovan prava (Layout).

Medzi zloenmi ztvorkami {\em mus\/} by zadan jeden zo tlov
(Document styles), uvedench v~tabuke ~\ref{docstyles} .
\begin{table}[hbtp]
\caption{Document Styles} \label{docstyles}
\oben{10cm}
\begin{description}

\item [\tt article] pre lnok vo vedeckch asopisoch,
prednku, laboratrne a seminrne prce, krtke sprvy, nvrhy,
posudky, popisy programov, pozvania a mnoh aie

\item [\tt report]  pre dlhie sprvy, pozostvajce z~viacerch
kapitol, diplomov prce, dizertcie, skript a in

\item [\tt book] pre knihy

\item [\tt letter] pre listy
(v \local\ je udan, i s k~dispozcii varianty pre zvltne
hlaviky listov)

\end{description}
\unten
\end{table}

Medzi hranatmi ztvorkami {\em mu} by zadan, oddelen iarkou,
jedna alebo viacer voby (Options) pre varianty tandardnho
Layoutu. Najdleitejie voby s uveden v~tabuke ~\ref{options}.
\begin{table}[hbpt]
\caption{Document Style Options} \label{options}
\oben{10cm}
\begin{description}

\item [\tt 11pt]   pre 11 bodov vysok psmo, o je tak, ako v~tomto
popise

\item [\tt 12pt]   pre 12 bodov vysok psmo, o je pribline obvykl
vekos psma psacch strojov

   Ak nezadme iadnu z~tchto dvoch volieb, pouije \LaTeX\
psmo vysok 10~bodov, o je zvyajn vekos psma pri tlai knh.

\item [\tt fleqn]  pre matematick rovnice zarovnan vavo namiesto
centrovanch

\item [\tt leqno]  pre slovanie rovnc vavo namiesto vpravo pre
kad rovnicu

\item [\tt titlepage]  pre vlastn tituln stranu
(len pre Document Style {\tt article})

\item [\tt twocolumn] pre dvojstpcov tla

\item [\tt twoside] pre dvojstrann kpie
(rzne av a prav strany)

\item [\tt german] vi as~\ref{sec:deutsch}

\end{description}
\unten
\end{table}

Prklad:
Vstupn sbor tohoto popisu zana prkazom \footnote{ V~originli
je samozrejme pouit voba (option) {\tt german} (pozn. prekl.).}
\begin{verse}
\verb|\documentstyle[11pt,slovak,twoside]{article}   .|
\end{verse}

\vspace{0pt plus 3cm}\pagebreak[2] % <--- manual editing, may need changes!

\subsubsection {Formt strn (Page Style)}

Formt strn {\em me\/} by uren prkazom :
\begin{verse}
\verb|\pagestyle{|{\it style\/}\verb|}   .|
\end{verse}

V~prpade {\tt plain} (alebo ak neudme \verb|\pagestyle|)
bude slovanie strn umiestnen v~spodnom riadku. Pri pouit {\tt headings}
s nzvy kapitol a ast a slovanie strn umiestnen v~zhlav.
Ke zadme {\tt empty} , bud spodn a hlavikov riadok przdne.


V~\manual\ je uveden, ako meme okrem toho o\-vplyv\-o\-va pravu strnky
a slovanie strn prkazmi
\verb|\thispagestyle|,
\verb|\pagenumbering|,
\verb|\twocolumn| a
\verb|\onecolumn|.



